Subject: RE: GTTP and LSP PING

From: "David Allan" <[email-masked]>
Date: Thu, 11 Mar 2004 14:29:11 -0500

Tom/Ron:

I think there is a key delta in that I'm not sure that LSP-PING locates
lower MPLS tunnel ingresses directly (even beyond the requirement to find
other tunnels), in the section 4 processing rules, there is no return code
to indicate a PUSH operation (tunnel ingress). In theory when there is
uniform mode TTL copying, LSP-PING incrementally invoked by GTTP should
simply trace out everything in MPLS at the current level and below which
mitigates this somewhat. BTW The push part should be addressed in LSP-PING
regardless of the interaction with GTTP.... that piece COULD be extended to
indicate an ingress to a non MPLS tunnel which GTTP could then choose to use
independently of LSP-PING.

I don't think having PING trigger GTTP operations is tractable as the GTTP
third party trace paradigm and LSP-PING don;t fit. Nominally in the third
party model, each TTL permutation and each level would be originated by the
third party node. It would be best to preserve this and simply have PING
indicate to GTTP originator the ingress to the non-MPLS lower level and let
GTTP deal with it directly.

cheers
Dave

> -----Original Message-----
> From: Thomas D. Nadeau [mailto:[email-masked]]
> Sent: Monday, March 08, 2004 12:51 PM
> To: 'Ronald Bonica'; [email-masked]
> Subject: RE: GTTP and LSP PING
> 
> 
> 
> 
> ] -----Original Message-----
> ] From: [email-masked]
> ] [mailto:[email-masked]] On Behalf Of Ronald 
> Bonica ] Sent: Saturday, March 06, 2004 12:43 PM ] To: 
> [email-masked] ] Subject: GTTP and LSP PING ] 
> ] 
> ] Folks,
> ] 
> ] At IETF 59, an issue regarding the relationship of GTTP to 
> ] LSP PING was raised and redirected toward the list. I am 
> ] posting this message in order to initiate discussion.
> ] 
> ] One might argue that GTTP should invoke LSP PING when tracing 
> ] though an MPLS LSP. (In fact, previous versions of the GTTP 
> ] draft stated that GTTP would invoke LSP PING.) I'm not sure 
> ] that this is a good idea.
> 
> 	Can you ellaborate why?
> 
> ] GTTP has a requirement to trace through multiple levels of
> ] heterogenous tunnels. For example, GTTP might be required to 
> ] discover IP over MPLS over IP. If GTTP were to invoke LSP 
> ] PING to discover LSP details, I fear that it would miss the 
> ] IP tunnel at the bottom of the stack.
> 
> 	That is an issue, as LSP ping/trace doesn't
> work for IP as far as I understand. One idea is that it
> may be possible that LSP ping/trace could invoke IP trace/ping 
> recursively.
> 
> 	--Tom
> 
> 
> 
> ] This assumption could be wrong. Comments?
> ]
> ] ----------------
> ] Ronald P. Bonica
> ] ----------------
> ] Sometimes the easiest way to 
> ] start a dialog is to start talking.
> 
> 
> 
> 
>